Bug 1732717 - fuse: Limit the number of inode invalidation requests in the queue
Summary: fuse: Limit the number of inode invalidation requests in the queue
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: fuse
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Nithya Balachandran
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-24 08:04 UTC by Nithya Balachandran
Modified: 2019-08-14 03:21 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-14 03:21:50 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gluster.org Gerrit 23086 None Abandoned fuse: Set limit on invalidate queue size 2019-08-09 09:08:06 UTC
Gluster.org Gerrit 23187 None Merged fuse: Set limit on invalidate queue size 2019-08-14 03:21:48 UTC

Description Nithya Balachandran 2019-07-24 08:04:16 UTC
Description of problem:

If the gluster fuse mount process is unable to process the inode invalidation requests quickly enough, the number of such invalidate_node objects rises to the point where they take a lot of memory. This defeats the purpose of invalidating inodes to control the memory used by the process.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Worker Ant 2019-07-24 09:02:18 UTC
REVIEW: https://review.gluster.org/23086 (fuse: Set limit on invalidate queue size) posted (#4) for review on master by N Balachandran

Comment 2 Worker Ant 2019-08-09 09:07:45 UTC
REVIEW: https://review.gluster.org/23187 (fuse: Set limit on invalidate queue size) posted (#1) for review on master by N Balachandran

Comment 3 Worker Ant 2019-08-14 03:21:50 UTC
REVIEW: https://review.gluster.org/23187 (fuse: Set limit on invalidate queue size) merged (#3) on master by Amar Tumballi


Note You need to log in before you can comment on or make changes to this bug.